Bug 201478

Summary: [maintainer update] sysutils/rsnapshot 1.3.1 -> 1.4.0
Product: Ports & Packages Reporter: Ralf van Dooren <ralfvd>
Component: Individual Port(s)Assignee: Dmitry Marakasov <amdmi3>
Status: Closed FIXED    
Severity: Affects Many People    
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Diff file
none
New diff file, to be patched with -E for file removal none

Description Ralf van Dooren 2015-07-11 15:44:29 UTC
Created attachment 158620 [details]
Diff file

Update rsnapshot to 1.4.0
Comment 1 Dmitry Marakasov freebsd_committer 2015-07-12 22:28:54 UTC
Does not build:

===>  Building for rsnapshot-1.4.0_1
--- rsnapshot.1 ---
--- rsnapshot-diff.1 ---
--- rsnapshot.1 ---
pod2man -c 'rsnapshot-tools' -n 'rsnapshot' -r 'rsnapshot-tools' rsnapshot > rsnapshot.1
--- rsnapshot-diff.1 ---
pod2man -c 'rsnapshot-tools' -n 'rsnapshot-diff' -r 'rsnapshot-tools' rsnapshot-diff > rsnapshot-diff.1
--- rsnapshot.1 ---
rsnapshot around line 7287: =back without =over
POD document had syntax errors at /usr/local/bin/pod2man line 71.
*** [rsnapshot.1] Error code 255
Comment 2 Ralf van Dooren 2015-07-13 09:12:15 UTC
Created attachment 158681 [details]
New diff file, to be patched with -E for file removal

New patch file for rsnapshot builds on "clean" systems; first patch only works if rsnapshot had already been installed in the past ; a file in files/ needs to be removed, so patch with -E
Comment 3 Dmitry Marakasov freebsd_committer 2015-07-13 18:46:05 UTC
Committed with following minor changes:
- Removed PORTREVISION, it's not needed after the update
- Added NO_ARCH
- Fixed patching to use full path to pod2man
Comment 4 commit-hook freebsd_committer 2015-07-13 18:46:38 UTC
A commit references this bug:

Author: amdmi3
Date: Mon Jul 13 18:46:07 UTC 2015
New revision: 391932
URL: https://svnweb.freebsd.org/changeset/ports/391932

Log:
  - Update to 1.4.0
  - While here, add NO_ARCH

  PR:		201478
  Submitted by:	ralfvd@gmail.com (maintainer)

Changes:
  head/sysutils/rsnapshot/Makefile
  head/sysutils/rsnapshot/distinfo
  head/sysutils/rsnapshot/files/